/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.asistenciaAniversario.DAO;

import java.util.ArrayList;
import pe.siso.asistenciaAniversario.Beans.Asistencia;

/**
 *
 * @author fcelestino
 */
public interface AsistenciaDAO {
    public ArrayList<Asistencia> consultarExistencia(String busqueda) throws Exception;
    public Asistencia consultarAsistencia(String busqueda) throws Exception;
    public Asistencia consultarEstadosAsistencia(String codPerAsi) throws Exception;
    public int registrarAsistencia(String codigoPersona) throws Exception;
    public ArrayList<Asistencia> consultarDatosComision(String codper) throws Exception;
    public String consultarDatosResponsable(String codResponsable) throws Exception;
    public int registrarEntragaAlimentacion(String codAsis) throws Exception;
    public int quitarAsistencia(String codAsis) throws Exception;
    public int quitarAlimentacion(String codAsis) throws Exception;
    public ArrayList<Asistencia> consultarExistenciaAsistencia(String busqueda) throws Exception;
    public ArrayList<Asistencia> consultarExistenciaAsistencia(String busqueda, int inicio, int cantidad) throws Exception;
    public int cantidadExistenciaAsistencia(String busqueda) throws Exception;
    public ArrayList<Asistencia> reporteAsistenciaAlimentacion() throws Exception;
    public ArrayList<Asistencia> reporteAlimentacion() throws Exception;
    public int codigoDia() throws Exception;
    public int registrarExtras(String codDia,String resp,String des,String alm,String lon,String cen) throws Exception;
    public ArrayList<Asistencia> personalActivo() throws Exception;
    public ArrayList<Asistencia> reporteExtras() throws Exception;
    
}
